- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WPS8TextStyleInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions
| State ()
| constructor More...
void | initTypeMaps ()
| initializes the type map More...

## Public Attributes
std::vector< librevenge::RVNGString > | m_fontNames
| the font names More...
Font | m_defaultFont
| the default font More...
std::vector< Font > | m_fontList
| a list of all font properties More...
WPSParagraph | m_defaultParagraph
| the default paragraph More...
std::vector< WPSParagraph > | m_paragraphList
| a list of all paragraph properties More...
std::map< int, int > | m_fontTypes
| the character type More...
std::map< int, int > | m_paragraphTypes
| the paragraph type More...

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

WPS8TextStyleInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

void WPS8TextStyleInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

## Member Data Documentation

Font WPS8TextStyleInternal::State::m_defaultFont

the default font

WPSParagraph WPS8TextStyleInternal::State::m_defaultParagraph

the default paragraph

std::vector<Font> WPS8TextStyleInternal::State::m_fontList

a list of all font properties

std::vector<librevenge::RVNGString> WPS8TextStyleInternal::State::m_fontNames

the font names

std::map<int,int> WPS8TextStyleInternal::State::m_fontTypes

the character type

std::vector<WPSParagraph> WPS8TextStyleInternal::State::m_paragraphList

a list of all paragraph properties

std::map<int,int> WPS8TextStyleInternal::State::m_paragraphTypes

the paragraph type

The documentation for this struct was generated from the following file:

- WPS8TextStyle.cpp